Commit 0aeafe00 authored by worldofpeace's avatar worldofpeace 🌾 Committed by Christian Hergert

libpeas-gtk: correct pc file

All of the Requires in this .pc got moved
to Requries.private with the move to meson.

Here's a diff for visualization:
-Name: libpeas-gtk
-Description: libpeas-gtk, a GObject plugins library (Gtk widgets)
-Requires: glib-2.0 >= 2.38.0, gtk+-3.0 >= 3.0.0, libpeas-1.0 >= 1.22.0
-Version: 1.22.0
+Name: libpeas-gtk-1.0
+Description: GObject plugins library widgetery
+Version: 1.24.0
+Requires.private: libpeas-1.0, glib-2.0 >=  2.38.0, gobject-2.0 >=  2.38.0, gobject-introspection-1.0 >=  1.39.0, gtk+-3.0 >=  3.0.0, gmodule-2.0 >=  2.38.0, gio-2.0 >=  2.38.0
+Libs: -L${prefix}//lib  -lpeas-gtk-1.0
 Cflags: -I${includedir}/libpeas-1.0
-Libs: -L${libdir} -lpeas-gtk-1.0

This commit makes it generally the same as it was before.
parent d012f7b4
Pipeline #126649 passed with stages
in 11 minutes and 17 seconds
......@@ -111,10 +111,17 @@ libpeas_gtk_test_dep = declare_dependency(
sources: libpeas_gtk_dep_sources,
)
libpeas_gtk_pc_reqs = [
glib_dep,
gtk_dep,
package_string + ' >= @0@'.format(version)
]
libpeas_gtk_pc = pkg.generate(
libpeas_gtk_sha,
name: package_gtk_string,
description: 'GObject plugins library widgetery',
requires: libpeas_gtk_pc_reqs,
subdirs: package_string,
install_dir: pkgconfigdir,
)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment